Skip to main content
GET
/
api
/
Grant
/
{grantId}
/
Gifts
Get the Gifts applied to a Grant
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<integer>",
    "transactionSource": "<string>",
    "transactionId": "<string>",
    "contactId": "<integer>",
    "contactName": "<string>",
    "contactUrl": "<string>",
    "giftType": "<string>",
    "giftTypeFormatted": "<string>",
    "giftDate": "<dateTime>",
    "giftDateFormatted": "<string>",
    "amount": "<double>",
    "amountFormatted": "<string>",
    "currencyCode": "<string>",
    "exchangeRate": "<decimal>",
    "baseCurrencyCode": "<string>",
    "batch": "<string>",
    "createDateTimeUtc": "<dateTime>",
    "createdByUser": "<string>",
    "modifiedDateTimeUtc": "<dateTime>",
    "modifiedByUser": "<string>",
    "segmentId": "<integer>",
    "segment": "<string>",
    "segmentCode": "<string>",
    "segmentUrl": "<string>",
    "mediaOutletId": "<integer>",
    "mediaOutlet": "<string>",
    "grantId": "<integer>",
    "grant": "<string>",
    "grantUrl": "<string>",
    "notes": "<string>",
    "tribute": "<string>",
    "tributeId": "<integer>",
    "tributeType": "<string>",
    "acknowledgeeIndividualId": "<integer>",
    "receiptDate": "<dateTime>",
    "receiptDateFormatted": "<string>",
    "contactPassthroughId": "<integer>",
    "contactPassthroughUrl": "<string>",
    "contactIndividualId": "<integer>",
    "cashAccountingCode": "<string>",
    "giftAskId": "<integer>",
    "contactMembershipId": "<integer>",
    "giftDesignations": [
      {
        "id": "<integer>",
        "projectId": "<integer>",
        "project": "<string>",
        "projectCode": "<string>",
        "externalAccountingCode": "<string>",
        "projectType": "<string>",
        "projectLocation": "<string>",
        "projectUrl": "<string>",
        "amountDesignated": "<double>",
        "display": "<string>"
      },
      {
        "id": "<integer>",
        "projectId": "<integer>",
        "project": "<string>",
        "projectCode": "<string>",
        "externalAccountingCode": "<string>",
        "projectType": "<string>",
        "projectLocation": "<string>",
        "projectUrl": "<string>",
        "amountDesignated": "<double>",
        "display": "<string>"
      }
    ],
    "giftPremiums": [
      {
        "id": "<integer>",
        "premiumId": "<integer>",
        "premium": "<string>",
        "premiumUrl": "<string>",
        "quantity": "<integer>",
        "display": "<string>",
        "createDateTimeUtc": "<dateTime>",
        "createdByUser": "<string>",
        "modifiedDateTimeUtc": "<dateTime>",
        "modifiedByUser": "<string>"
      },
      {
        "id": "<integer>",
        "premiumId": "<integer>",
        "premium": "<string>",
        "premiumUrl": "<string>",
        "quantity": "<integer>",
        "display": "<string>",
        "createDateTimeUtc": "<dateTime>",
        "createdByUser": "<string>",
        "modifiedDateTimeUtc": "<dateTime>",
        "modifiedByUser": "<string>"
      }
    ],
    "pledgePayments": [
      {
        "id": "<integer>",
        "expectedPaymentDate": "<dateTime>",
        "expectedAmount": "<double>",
        "giftId": "<integer>",
        "actualAmount": "<double>"
      },
      {
        "id": "<integer>",
        "expectedPaymentDate": "<dateTime>",
        "expectedAmount": "<double>",
        "giftId": "<integer>",
        "actualAmount": "<double>"
      }
    ],
    "recurringGiftPayments": [
      {
        "id": "<integer>",
        "gift": {
          "id": "<integer>",
          "contactId": "<integer>",
          "giftDate": "<dateTime>",
          "amount": "<double>"
        },
        "expectedAmount": "<double>",
        "expectedPaymentDate": "<dateTime>",
        "dismissPaymentDate": "<dateTime>",
        "fulfillPaymentDate": "<dateTime>"
      },
      {
        "id": "<integer>",
        "gift": {
          "id": "<integer>",
          "contactId": "<integer>",
          "giftDate": "<dateTime>",
          "amount": "<double>"
        },
        "expectedAmount": "<double>",
        "expectedPaymentDate": "<dateTime>",
        "dismissPaymentDate": "<dateTime>",
        "fulfillPaymentDate": "<dateTime>"
      }
    ],
    "giftUrl": "<string>",
    "isPrivate": "<boolean>",
    "isTaxDeductible": "<boolean>",
    "customFields": [
      {
        "name": "<string>",
        "value": "<string>",
        "displayName": "<string>"
      },
      {
        "name": "<string>",
        "value": "<string>",
        "displayName": "<string>"
      }
    ]
  },
  {
    "id": "<integer>",
    "transactionSource": "<string>",
    "transactionId": "<string>",
    "contactId": "<integer>",
    "contactName": "<string>",
    "contactUrl": "<string>",
    "giftType": "<string>",
    "giftTypeFormatted": "<string>",
    "giftDate": "<dateTime>",
    "giftDateFormatted": "<string>",
    "amount": "<double>",
    "amountFormatted": "<string>",
    "currencyCode": "<string>",
    "exchangeRate": "<decimal>",
    "baseCurrencyCode": "<string>",
    "batch": "<string>",
    "createDateTimeUtc": "<dateTime>",
    "createdByUser": "<string>",
    "modifiedDateTimeUtc": "<dateTime>",
    "modifiedByUser": "<string>",
    "segmentId": "<integer>",
    "segment": "<string>",
    "segmentCode": "<string>",
    "segmentUrl": "<string>",
    "mediaOutletId": "<integer>",
    "mediaOutlet": "<string>",
    "grantId": "<integer>",
    "grant": "<string>",
    "grantUrl": "<string>",
    "notes": "<string>",
    "tribute": "<string>",
    "tributeId": "<integer>",
    "tributeType": "<string>",
    "acknowledgeeIndividualId": "<integer>",
    "receiptDate": "<dateTime>",
    "receiptDateFormatted": "<string>",
    "contactPassthroughId": "<integer>",
    "contactPassthroughUrl": "<string>",
    "contactIndividualId": "<integer>",
    "cashAccountingCode": "<string>",
    "giftAskId": "<integer>",
    "contactMembershipId": "<integer>",
    "giftDesignations": [
      {
        "id": "<integer>",
        "projectId": "<integer>",
        "project": "<string>",
        "projectCode": "<string>",
        "externalAccountingCode": "<string>",
        "projectType": "<string>",
        "projectLocation": "<string>",
        "projectUrl": "<string>",
        "amountDesignated": "<double>",
        "display": "<string>"
      },
      {
        "id": "<integer>",
        "projectId": "<integer>",
        "project": "<string>",
        "projectCode": "<string>",
        "externalAccountingCode": "<string>",
        "projectType": "<string>",
        "projectLocation": "<string>",
        "projectUrl": "<string>",
        "amountDesignated": "<double>",
        "display": "<string>"
      }
    ],
    "giftPremiums": [
      {
        "id": "<integer>",
        "premiumId": "<integer>",
        "premium": "<string>",
        "premiumUrl": "<string>",
        "quantity": "<integer>",
        "display": "<string>",
        "createDateTimeUtc": "<dateTime>",
        "createdByUser": "<string>",
        "modifiedDateTimeUtc": "<dateTime>",
        "modifiedByUser": "<string>"
      },
      {
        "id": "<integer>",
        "premiumId": "<integer>",
        "premium": "<string>",
        "premiumUrl": "<string>",
        "quantity": "<integer>",
        "display": "<string>",
        "createDateTimeUtc": "<dateTime>",
        "createdByUser": "<string>",
        "modifiedDateTimeUtc": "<dateTime>",
        "modifiedByUser": "<string>"
      }
    ],
    "pledgePayments": [
      {
        "id": "<integer>",
        "expectedPaymentDate": "<dateTime>",
        "expectedAmount": "<double>",
        "giftId": "<integer>",
        "actualAmount": "<double>"
      },
      {
        "id": "<integer>",
        "expectedPaymentDate": "<dateTime>",
        "expectedAmount": "<double>",
        "giftId": "<integer>",
        "actualAmount": "<double>"
      }
    ],
    "recurringGiftPayments": [
      {
        "id": "<integer>",
        "gift": {
          "id": "<integer>",
          "contactId": "<integer>",
          "giftDate": "<dateTime>",
          "amount": "<double>"
        },
        "expectedAmount": "<double>",
        "expectedPaymentDate": "<dateTime>",
        "dismissPaymentDate": "<dateTime>",
        "fulfillPaymentDate": "<dateTime>"
      },
      {
        "id": "<integer>",
        "gift": {
          "id": "<integer>",
          "contactId": "<integer>",
          "giftDate": "<dateTime>",
          "amount": "<double>"
        },
        "expectedAmount": "<double>",
        "expectedPaymentDate": "<dateTime>",
        "dismissPaymentDate": "<dateTime>",
        "fulfillPaymentDate": "<dateTime>"
      }
    ],
    "giftUrl": "<string>",
    "isPrivate": "<boolean>",
    "isTaxDeductible": "<boolean>",
    "customFields": [
      {
        "name": "<string>",
        "value": "<string>",
        "displayName": "<string>"
      },
      {
        "name": "<string>",
        "value": "<string>",
        "displayName": "<string>"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

grantId
string
required

(Required) The grant identifier.

Response

OK

id
string
transactionSource
string
transactionId
string
contactId
string
contactName
string
contactUrl
string
giftType
string
giftTypeFormatted
string
giftDate
string
giftDateFormatted
string
amount
string
amountFormatted
string
currencyCode
string
exchangeRate
string
baseCurrencyCode
string
batch
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
segmentId
string
segment
string
segmentCode
string
segmentUrl
string
mediaOutletId
string
mediaOutlet
string
grantId
string
grant
string
grantUrl
string
notes
string
tribute
string
tributeId
string
tributeType
string
acknowledgeeIndividualId
string
receiptDate
string
receiptDateFormatted
string
contactPassthroughId
string
contactPassthroughUrl
string
contactIndividualId
string
cashAccountingCode
string
giftAskId
string
contactMembershipId
string
giftDesignations
object[]
giftPremiums
object[]
pledgePayments
object[]
recurringGiftPayments
object[]
giftUrl
string
isPrivate
string
isTaxDeductible
string
customFields
object[]
Last modified on June 5, 2026